com.amazon.redshift.jdbc

## Enum MetadataAPIHelper.GetTables_Metadata

- java.lang.Object
- - java.lang.Enum<MetadataAPIHelper.GetTables_Metadata>
  - - com.amazon.redshift.jdbc.MetadataAPIHelper.GetTables_Metadata

All Implemented Interfaces:
  MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetTables_Metadata>, Serializable, Comparable<MetadataAPIHelper.GetTables_Metadata>

Enclosing class:
  MetadataAPIHelper

    public static enum MetadataAPIHelper.GetTables_Metadata
    extends Enum<MetadataAPIHelper.GetTables_Metadata>
    implements MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetTables_Metadata>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DIST_STYLE`
`LAST_ALTERED_TIME`
`LAST_MODIFIED_TIME`
`OWNER`
`REF_GENERATION`
`REMARKS`
`SELF_REFERENCING_COL_NAME`
`TABLE_CAT`
`TABLE_NAME`
`TABLE_SCHEM`
`TABLE_SUBTYPE`
`TABLE_TYPE`
`TYPE_CAT`
`TYPE_NAME`
`TYPE_SCHEM`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getIndex()`
`String` `getName()`
`int` `getOidType()`
`static MetadataAPIHelper.GetTables_Metadata` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetadataAPIHelper.GetTables_Metadata[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TABLE_CAT

    public static final MetadataAPIHelper.GetTables_Metadata TABLE_CAT

#### TABLE_SCHEM

    public static final MetadataAPIHelper.GetTables_Metadata TABLE_SCHEM

#### TABLE_NAME

    public static final MetadataAPIHelper.GetTables_Metadata TABLE_NAME

#### TABLE_TYPE

    public static final MetadataAPIHelper.GetTables_Metadata TABLE_TYPE

#### REMARKS

    public static final MetadataAPIHelper.GetTables_Metadata REMARKS

#### TYPE_CAT

    public static final MetadataAPIHelper.GetTables_Metadata TYPE_CAT

#### TYPE_SCHEM

    public static final MetadataAPIHelper.GetTables_Metadata TYPE_SCHEM

#### TYPE_NAME

    public static final MetadataAPIHelper.GetTables_Metadata TYPE_NAME

#### SELF_REFERENCING_COL_NAME

    public static final MetadataAPIHelper.GetTables_Metadata SELF_REFERENCING_COL_NAME

#### REF_GENERATION

    public static final MetadataAPIHelper.GetTables_Metadata REF_GENERATION

#### OWNER

    public static final MetadataAPIHelper.GetTables_Metadata OWNER

#### LAST_ALTERED_TIME

    public static final MetadataAPIHelper.GetTables_Metadata LAST_ALTERED_TIME

#### LAST_MODIFIED_TIME

    public static final MetadataAPIHelper.GetTables_Metadata LAST_MODIFIED_TIME

#### DIST_STYLE

    public static final MetadataAPIHelper.GetTables_Metadata DIST_STYLE

#### TABLE_SUBTYPE

    public static final MetadataAPIHelper.GetTables_Metadata TABLE_SUBTYPE

### Method Detail

#### values

    public static MetadataAPIHelper.GetTables_Metadata[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MetadataAPIHelper.GetTables_Metadata c : MetadataAPIHelper.GetTables_Metadata.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MetadataAPIHelper.GetTables_Metadata valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getIndex

    public int getIndex()

Specified by:
  `getIndex` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetTables_Metadata>`

#### getName

    public String getName()

Specified by:
  `getName` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetTables_Metadata>`

#### getOidType

    public int getOidType()

Specified by:
  `getOidType` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetTables_Metadata>`